GTGOTF_Basic.h File Reference

OTF_GTGBasic1 is the OTF implementation of the basic interface to generate traces (GTGBasic1). More...

`#include "GTGTypes.h"`
`#include "GTGBasic.h"`
`#include "GTGOTF_Structs.h"`

Go to the source code of this file.

## Functions

const otf_color_t | OTF_get_color (gtg_color_t color)
| Converts a GTG color into a OTF color.
trace_return_t | OTFInitTrace (const char *filename, gtg_flag_t flags)
| Initialize an OTF trace.
trace_return_t | OTFSetCompress (int val)
| Enable trace compression.
trace_return_t | OTFAddContType (const char *alias, const char *contType, const char *name)
| Add a Container Type.
trace_return_t | OTFAddStateType (const char *alias, const char *contType, const char *name)
| Add a State Type.
trace_return_t | OTFAddEventType (const char *alias, const char *contType, const char *name)
| Add an Event Type.
trace_return_t | OTFAddLinkType (const char *alias, const char *name, const char *contType, const char *srcContType, const char *destContType)
| Add a Link Type.
trace_return_t | OTFAddVarType (const char *alias, const char *name, const char *contType)
| Add a Variable Type.
trace_return_t | OTFAddEntityValue (const char *alias, const char *entType, const char *name, const otf_color_t color)
| Add an Entity Value.
trace_return_t | OTFDefineContainer (const char *alias, const char *type, const char *container, const char *name, const char *file)
trace_return_t | OTFStartContainer (varPrec time, const char *alias, const char *type, const char *container, const char *name, const char *file)
| Start a Container.
trace_return_t | OTFDestroyContainer (varPrec time, const char *name, const char *type)
| Destroy a Container.
trace_return_t | OTFSetState (varPrec time, const char *type, const char *cont, const char *val)
| Set the State of a Container.
trace_return_t | OTFPushState (varPrec time, const char *type, const char *cont, const char *val)
| Save the current State on a stack and change the State of a Container.
trace_return_t | OTFPopState (varPrec time, const char *type, const char *cont)
| Revert the State of a Container to its previous value.
trace_return_t | OTFAddEvent (varPrec time, const char *type, const char *cont, const char *val)
| Add an Event.
trace_return_t | OTFStartLink (varPrec time, const char *type, const char *src, const char *dest, const char *val, const char *key)
| Start a Link.
trace_return_t | OTFEndLink (varPrec time, const char *type, const char *src, const char *dest, const char *val, const char *key)
| End a Link.
trace_return_t | OTFSetVar (varPrec time, const char *type, const char *cont, varPrec val)
| Set a Variable value.
trace_return_t | OTFAddVar (varPrec time, const char *type, const char *cont, varPrec val)
| Add a value to a Variable.
trace_return_t | OTFSubVar (varPrec time, const char *type, const char *cont, varPrec val)
| Substract a value from a Variable.
trace_return_t | OTFAddComment (const char *comment)
| Add some Comment in Trace file.
trace_return_t | OTFEndTrace ()
| Finalize an OTF trace.

## Detailed Description

OTF_GTGBasic1 is the OTF implementation of the basic interface to generate traces (GTGBasic1).

Version
  0.1

Authors
  Developers are :
  Francois Rue - franc.nosp@m.ois..nosp@m.rue@l.nosp@m.abri.nosp@m..fr
  Francois Trahay - franc.nosp@m.ois..nosp@m.traha.nosp@m.y@la.nosp@m.bri.f.nosp@m.r
  Johnny Jazeix - jazei.nosp@m.x@en.nosp@m.seirb.nosp@m.-mat.nosp@m.meca..nosp@m.fr
  Kevin Coulomb - kevin.nosp@m..cou.nosp@m.lomb@.nosp@m.gmai.nosp@m.l.com
  Mathieu Faverge - faver.nosp@m.ge@l.nosp@m.abri..nosp@m.fr
  Olivier Lagrasse - lagra.nosp@m.sse@.nosp@m.ensei.nosp@m.rb-m.nosp@m.atmec.nosp@m.a.fr

## Function Documentation

## OTFDefineContainer()

trace_return_t OTFDefineContainer | ( | const char * | alias,
|  | const char * | type,
|  | const char * | container,
|  | const char * | name,
|  | const char * | file )